package model

// ResponseSupplierInfo ...
type ResponseSupplierInfo struct {
	ID           string `json:"id"`
	Name         string `json:"name"`
	BusinessType string `json:"businessType"`
}

// ResponseSupplierContract ...
type ResponseSupplierContract struct {
	ID       string `json:"id"`
	Supplier string `json:"supplier"`
	Name     string `json:"name"`
	Status   string `json:"status"`
}

// SupplierBrief ...
type SupplierBrief struct {
	ID           string `json:"_id"`
	Name         string `json:"name"`
	Status       string `json:"status"`
	BusinessType string `json:"businessType"`
	CreatedAt    string `json:"createdAt"`
	UpdatedAt    string `json:"updatedAt"`
}

type SupplierAll struct {
	Suppliers []SupplierBrief `json:"suppliers"`
	Total     int64           `json:"total"`
}

type SupplierListWarehouseFreeShipResponse struct {
	Warehouses []string `json:"warehouses"`
}

type SupplierCashflowCreateResponse struct {
	ID string `json:"id"`
}

type FreeShip struct {
	ID                string   `json:"_id"`
	ShortName         string   `json:"shortName"`
	ListMilestoneText []string `json:"milestoneText"`
	Order             int      `json:"-"`
}

type SupplierFreeShipInfoResponse struct {
	SupplierID string     `json:"supplierId"`
	FreeShips  []FreeShip `json:"freeShips"`
}

type SupplierShort struct {
	ID   string      `json:"_id"`
	Name string      `json:"name"`
	Logo interface{} `json:"logo"`
}

type SupplierUpdateBalanceRes struct {
	CurrentCash                  float64 `json:"currentCash"`
	TotalPendingCash             float64 `json:"totalPendingCash"`
	OrderPendingCash             float64 `json:"orderPendingCash"`
	OrderWaitingForReconcileCash float64 `json:"orderWaitingForReconcileCash"`
	OrderReconciledCash          float64 `json:"orderReconciledCash"`
	WithdrawPendingCash          float64 `json:"withdrawPendingCash"`
	WithdrawSuccessCash          float64 `json:"withdrawSuccessCash"`
	WithdrawRejectCash           float64 `json:"withdrawRejectCash"`
	ChangeBalanceRequestApproved float64 `json:"changeBalanceRequestApproved"`
	UpdatedAt                    string  `json:"updatedAt"`
}

type SupplierGetCurrentBalanceRes struct {
	CurrentCash float64 `json:"currentCash"`
}

type SyncSupplierWarehousePayload struct {
	Supplier     string `json:"supplier"`
	Warehouse    string `json:"warehouse"`
	ProvinceCode int    `json:"provinceCode"`
	DistrictCode int    `json:"districtCode"`
	WardCode     int    `json:"wardCode"`
}

type SupplierCountRes struct {
	Total int64 `json:"total"`
}

// ResponseCheckTokenSupplier ...
type ResponseCheckTokenSupplier struct {
	Invalid  bool                 `json:"invalid"`
	Reason   string               `json:"reason"`
	Supplier ResponseSupplierInfo `json:"supplier"`
}
